## okular 20.08.2

=== debian/changelog ===
okular (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:40:38 +0100

okular (4:20.08.1-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.
      + Kubuntu breaks/replaces.

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 16:59:55 +0100

okular (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes the annotations toolbar (Closes: #968438)
  * Bump the libpoppler-qt5-dev build dependency to 0.73.0, to make sure
    okular is built with all the support bits for verifying signed and
    timestamped PDF documents. (Closes: #819728)

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:31:30 +0200

okular (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:02:41 +0100

okular (4:20.08.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.
      + Kubuntu breaks/replaces.

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Aug 2020 11:07:45 +0100

okular (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.44.0
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 23:56:21 +0200

okular (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:53:49 +0100

okular (4:20.04.3-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Aug 2020 11:24:40 +0100

okular (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 10:40:44 +0200

okular (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:44:24 +0100

okular (4:20.04.2-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Jun 2020 09:07:30 +0100

okular (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jun 2020 23:16:58 +0200

okular (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:26:57 +0100

okular (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:42:49 +0100

okular (4:20.04.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Recommend extra backends and qtspeech plugin.
    - debian/meta/cmake-ignore: Config for Kubuntu CI.

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Apr 2020 19:33:28 +0100

okular (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Document-processAction-If-the-url-points-to-a-binary.patch:
      drop, backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.12.0
    - bump Poppler to 0.62.0
  * Pass -DOKULAR_UI=both to cmake to keep building the mobile UI.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Apr 2020 13:23:08 +0200

okular (4:19.12.3-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped build deps for this apps release.
      + Recommend extra backends and qtspeech plugin.
      + Breaks/Replaces to suit Kubuntu upload history.
    - debian/meta/cmake-ignore: Config for Kubuntu CI.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Mar 2020 08:16:22 +0000

okular (4:19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped build deps for this apps release.
      + Recommend extra backends and qtspeech plugin.
      + Breaks/Replaces to suit Kubuntu upload history.
    - debian/meta/cmake-ignore: Config for Kubuntu CI.

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Mar 2020 09:30:50 +0000

okular (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:06 +0000

okular (4:19.12.2-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped build deps for this apps release.
      + List correct file format support for okular-extra-backends.
      + Breaks/Replaces to suit Kubuntu upload history.
    - debian/meta/cmake-ignore: Config for Kubuntu CI. 

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2020 14:40:57 +0000

okular (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.
  * Skip building for tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:57 +0000

okular (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)



=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.44.0~),
               gettext,
               libchm-dev,
               libdjvulibre-dev (>= 3.5.17~),
               libepub-dev,
               libfreetype-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.44.0~),
               libkf5archive-dev (>= 5.44.0~),
               libkf5bookmarks-dev (>= 5.44.0~),
               libkf5completion-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5kexiv2-dev (>= 20.08.1~),
               libkf5khtml-dev,
               libkf5kio-dev (>= 5.44.0~),
               libkf5kjs-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5pty-dev,
               libkf5purpose-dev,
               libkf5threadweaver-dev (>= 5.44.0~),
               libkf5wallet-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libmarkdown2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev (>= 0.73.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqmobipocket-dev (>= 4:20.08.1~),
               libqt5svg5-dev (>= 5.12.0~),
               libqt5texttospeech5-dev (>= 5.12.0~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               zlib1g-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular

Package: libokular5core9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: kinit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups-bsd, okular-extra-backends, qtspeech5-flite-plugin
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.0),
        okular-mobile (<< 4:17.04.1-0),
        okular-l10n,
        ${kde-l10n:all},
Replaces: okular-extra-backends (<< 4:16.12.0),
          okular-mobile (<< 4:17.04.1-0),
          okular-l10n,
          ${kde-l10n:all},
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * OpenDocument Text (ODT)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 Additional document formats are in the okular-extra-backends package.
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.44.0~),
         libkf5coreaddons-dev (>= 5.44.0~),
         libkf5xmlgui-dev,
         libokular5core9 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:20.08.0-1~), ${kde-l10n:all}
Replaces: okular (<< 4:20.08.0-1~), ${kde-l10n:all}
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * DeJaVu Format
  * TIFF Image Format
  * Microsoft CHM Format
  * EPUB
  * Markdown
 .
 This package is part of the KDE graphics module.

Package: qml-module-org-kde-okular
Architecture: any
Depends: qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: okular (<< 4:17.12.2~),
Replaces: okular (<< 4:17.12.2~),
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-okular (= ${binary:Version}),
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:16.04.3-11~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	dh_strip --dbgsym-migration='okular-dbg (<= 16.08.90-1~~)'

override_dh_gencontrol: l10npkgs_firstversion_ok libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## okular 20.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(okular VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "5.12.0") # Remember to update the QT_DEPRECATED_WARNINGS_SINCE below
set(KF5_REQUIRED_VERSION "5.68.0") # Remember to update the KF_DEPRECATED_WARNINGS_SINCE below

set(OKULAR_UI "desktop" CACHE STRING "Which Okular user interface to build. Possible values: desktop, mobile, both. Default: desktop")

if(OKULAR_UI STREQUAL "desktop" OR OKULAR_UI STREQUAL "both")
    set(BUILD_DESKTOP ON)
else()
    set(BUILD_DESKTOP OFF)
endif()
if(OKULAR_UI STREQUAL "mobile" OR OKULAR_UI STREQUAL "both")
    set(BUILD_MOBILE ON)
else()
    set(BUILD_MOBILE OFF)
endif()

if (ANDROID)
    set(QT_REQUIRED_VERSION "5.13.0")
endif()

find_package(ECM ${KF5_REQUIRED_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMOptionalAddSubdirectory)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMAddAppIcon)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMAddAppIcon)
include(CMakePackageConfigHelpers)
include(ECMSetupQtPluginMacroNames)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX OKULAR
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/core/version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Okular5ConfigVersion.cmake")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Test Widgets PrintSupport Svg Qml Quick)
find_package(Qt5 ${QT_REQUIRED_VERSION} OPTIONAL_COMPONENTS TextToSpeech)
if (NOT Qt5TextToSpeech_FOUND)
    message(STATUS "Qt5TextToSpeech not found, speech features will be disabled")
else()
    add_definitions(-DHAVE_SPEECH)
endif()

if(ANDROID)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS AndroidExtras)
endif()

ecm_setup_qtplugin_macro_names(
    JSON_ARG2
        "OKULAR_EXPORT_PLUGIN"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

set(optionalComponents)
if (ANDROID)
#   we want to make sure that generally all components are found

    set(optionalComponents "OPTIONAL_COMPONENTS")
endif()

find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
    Archive
    Bookmarks
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    IconThemes
    KIO
    Parts
    ThreadWeaver
    WindowSystem
    ${optionalComponents}
    DocTools
    JS
    Wallet
)

if(KF5Wallet_FOUND)
    add_definitions(-DWITH_KWALLET=1)
endif()
if(KF5JS_FOUND)
    add_definitions(-DWITH_KJS=1)
endif()

if(NOT WIN32 AND NOT ANDROID)
    find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
        Activities
    )
    set_package_properties("KF5Activities" PROPERTIES
        DESCRIPTION  "Activities interface library"
        URL "https://api.kde.org/frameworks/kactivities/html/"
        TYPE RECOMMENDED
        PURPOSE "Required for Activities integration.")
endif()
find_package(KF5Kirigami2)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by the mobile app"
    TYPE RUNTIME
)
find_package(Phonon4Qt5 CONFIG REQUIRED)
find_package(KF5Purpose)
set_package_properties(KF5Purpose PROPERTIES
    DESCRIPTION "A framework for services and actions integration"
    PURPOSE "Required for enabling the share menu in Okular"
    TYPE OPTIONAL
)
if (KF5Purpose_FOUND)
    set(PURPOSE_FOUND 1)
else()
    set(PURPOSE_FOUND 0)
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(ZLIB REQUIRED)

# This is here instead of in generators since we use if(Poppler_Qt5_FOUND) in autotests/
find_package(Poppler "0.86.0" COMPONENTS Qt5)
set_package_properties("Poppler" PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "Support for PDF files in okular.")

add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x050C00)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x054400)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${PHONON_INCLUDES} core/synctex ${ZLIB_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/core)

if(BUILD_MOBILE)
    add_subdirectory( mobile )
endif()
option(BUILD_COVERAGE "Build the project with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

add_subdirectory( icons ) # an own directory for multi-size icons retrieved by KIconThemeLoader
add_subdirectory( part )
if(BUILD_DESKTOP)
    add_subdirectory( shell )
endif()
add_subdirectory( generators )
if(BUILD_TESTING)
   add_subdirectory( autotests )
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

include(OkularConfigureChecks.cmake)

if(NOT WIN32)
 set(MATH_LIB m)
else(NOT WIN32)
 set(MATH_LIB)
endif(NOT WIN32)

# okularcore

set(okularcore_SRCS
   core/action.cpp
   core/annotations.cpp
   core/area.cpp
   core/audioplayer.cpp
   core/bookmarkmanager.cpp
   core/chooseenginedialog.cpp
   core/document.cpp
   core/documentcommands.cpp
   core/fontinfo.cpp
   core/form.cpp
   core/generator.cpp
   core/generator_p.cpp
   core/misc.cpp
   core/movie.cpp
   core/observer.cpp
   core/debug.cpp
   core/page.cpp
   core/pagecontroller.cpp
   core/pagesize.cpp
   core/pagetransition.cpp
   core/rotationjob.cpp
   core/scripter.cpp
   core/sound.cpp
   core/sourcereference.cpp
   core/textdocumentgenerator.cpp
   core/textdocumentsettings.cpp
   core/textpage.cpp
   core/tilesmanager.cpp
   core/utils.cpp
   core/view.cpp
   core/fileprinter.cpp
   core/printoptionswidget.cpp
   core/signatureutils.cpp
   core/script/event.cpp
   core/synctex/synctex_parser.c
   core/synctex/synctex_parser_utils.c
)
qt5_add_resources(okularcore_SRCS
   core/script/builtin.qrc
)

ki18n_wrap_ui(okularcore_SRCS
   part/textdocumentsettings.ui
)

install( FILES
           core/action.h
           core/annotations.h
           core/area.h
           core/document.h
           core/fontinfo.h
           core/form.h
           core/generator.h
           core/global.h
           core/page.h
           core/pagesize.h
           core/pagetransition.h
           core/signatureutils.h
           core/sound.h
           core/sourcereference.h
           core/textdocumentgenerator.h
           core/textdocumentsettings.h
           core/textpage.h
           core/tile.h
           core/utils.h
           core/fileprinter.h
           core/printoptionswidget.h
           core/observer.h
           ${CMAKE_CURRENT_BINARY_DIR}/core/version.h
           ${CMAKE_CURRENT_BINARY_DIR}/core/okularcore_export.h
           ${CMAKE_CURRENT_BINARY_DIR}/settings_core.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/okular/core COMPONENT Devel)

install( FILES
           interfaces/configinterface.h
           interfaces/guiinterface.h
           interfaces/printinterface.h
           interfaces/saveinterface.h
           interfaces/viewerinterface.h
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/okular/interfaces COMPONENT Devel)

ki18n_wrap_ui(okularcore_SRCS
   core/chooseenginewidget.ui
)

kconfig_add_kcfg_files(okularcore_SRCS conf/settings_core.kcfgc)

add_library(okularcore SHARED ${okularcore_SRCS})
generate_export_header(okularcore BASE_NAME okularcore EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/core/okularcore_export.h")

if (ANDROID)
    set(fileName ${CMAKE_BINARY_DIR}/Okular5Core-android-dependencies.xml)
    file(WRITE "${fileName}" "<rules><dependencies><lib name='Okular5Core'><depends>\n"
                                "<bundled file='${KDE_INSTALL_PLUGINDIR}/okular/generators' />\n"
                             "</depends></lib></dependencies></rules>\n")
    install(FILES ${fileName} DESTINATION ${KDE_INSTALL_LIBDIR})
endif()


# Special handling for linking okularcore on OSX/Apple
IF(APPLE)
    SET(OKULAR_IOKIT "-framework IOKit" CACHE STRING "Apple IOKit framework")
ENDIF(APPLE)

# Extra library needed by imported synctex code on Windows
if(WIN32)
    set(SHLWAPI shlwapi)
endif(WIN32)

target_link_libraries(okularcore
PRIVATE
    ${OKULAR_IOKIT}
    ${SHLWAPI}
    KF5::Archive
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
    KF5::ThreadWeaver
    KF5::Bookmarks
    Phonon::phonon4qt5
    ${MATH_LIB}
    ${ZLIB_LIBRARIES}
PUBLIC  # these are included from the installed headers
    KF5::CoreAddons
    KF5::XmlGui
    KF5::ConfigGui
    Qt5::PrintSupport
    Qt5::Widgets
)


if (KF5Wallet_FOUND)
    target_link_libraries(okularcore PRIVATE KF5::Wallet)
endif()
if (KF5JS_FOUND)
    target_sources(okularcore PRIVATE
            core/script/executor_kjs.cpp
            core/script/kjs_app.cpp
            core/script/kjs_console.cpp
            core/script/kjs_data.cpp
            core/script/kjs_display.cpp
            core/script/kjs_document.cpp
            core/script/kjs_field.cpp
            core/script/kjs_fullscreen.cpp
            core/script/kjs_field.cpp
            core/script/kjs_spell.cpp
            core/script/kjs_util.cpp
            core/script/kjs_event.cpp
            core/script/kjs_ocg.cpp
    )
    target_link_libraries(okularcore PRIVATE KF5::JS KF5::JSApi)
endif()

set_target_properties(okularcore PROPERTIES VERSION 9.0.0 SOVERSION 9 OUTPUT_NAME Okular5Core EXPORT_NAME Core)

install(TARGETS okularcore EXPORT Okular5Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES conf/okular.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES conf/okular_core.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES core/okularGenerator.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

if(BUILD_DESKTOP)
  # okularpart
  set(okularpart_SRCS
    part/preferencesdialog.cpp
    part/dlgaccessibility.cpp
    part/dlgdebug.cpp
    part/dlgeditor.cpp
    part/dlggeneral.cpp
    part/dlgannotations.cpp
    part/dlgperformance.cpp
    part/dlgpresentation.cpp
    part/editannottooldialog.cpp
    part/editdrawingtooldialog.cpp
    part/widgetannottools.cpp
    part/widgetconfigurationtoolsbase.cpp
    part/widgetdrawingtools.cpp
    part/part.cpp
    part/xmlgui_helper.cpp
    part/extensions.cpp
    part/embeddedfilesdialog.cpp
    part/annotationactionhandler.cpp
    part/annotwindow.cpp
    part/annotationmodel.cpp
    part/annotationpopup.cpp
    part/annotationpropertiesdialog.cpp
    part/annotationproxymodels.cpp
    part/annotationtools.cpp
    part/annotationwidgets.cpp
    part/bookmarklist.cpp
    part/certificateviewer.cpp
    part/debug_ui.cpp
    part/drawingtoolactions.cpp
    part/fileprinterpreview.cpp
    part/findbar.cpp
    part/formwidgets.cpp
    part/guiutils.cpp
    part/ktreeviewsearchline.cpp
    part/latexrenderer.cpp
    part/minibar.cpp
    part/okmenutitle.cpp
    part/pageitemdelegate.cpp
    part/pagepainter.cpp
    part/pagesizelabel.cpp
    part/pageviewannotator.cpp
    part/pageviewmouseannotation.cpp
    part/pageview.cpp
    part/magnifierview.cpp
    part/pageviewutils.cpp
    part/presentationsearchbar.cpp
    part/presentationwidget.cpp
    part/propertiesdialog.cpp
    part/revisionviewer.cpp
    part/searchlineedit.cpp
    part/searchwidget.cpp
    part/sidebar.cpp
    part/side_reviews.cpp
    part/snapshottaker.cpp
    part/thumbnaillist.cpp
    part/toc.cpp
    part/tocmodel.cpp
    part/toggleactionmenu.cpp
    part/videowidget.cpp
    part/layers.cpp
    part/signatureguiutils.cpp

=== autotests/CMakeLists.txt ===
add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)

macro(add_conf_unittest _source)
  set(_test ${_source} ../part/editdrawingtooldialog.cpp)
  get_filename_component(_name ${_source} NAME_WE)
  add_executable( ${_name} ${_test} )
  add_test( NAME ${_name} COMMAND ${_name} )
  ecm_mark_as_test(${_name})
  target_link_libraries( ${_name}
    Qt5::Test
    Qt5::Widgets
    Qt5::Xml
    KF5::I18n
    KF5::Completion
    KF5::WidgetsAddons
  )
endmacro ()

add_conf_unittest(editdrawingtooldialogtest.cpp)

ecm_add_test(shelltest.cpp ../shell/shellutils.cpp
    TEST_NAME "shelltest"
    LINK_LIBRARIES Qt5::Test okularcore
)

if(Poppler_Qt5_FOUND)
    if (BUILD_DESKTOP)
        ecm_add_test(parttest.cpp closedialoghelper.cpp
            TEST_NAME "parttest"
            LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore okularpart
        )
    endif()

    ecm_add_test(visibilitytest.cpp
        TEST_NAME "visibilitytest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )

    ecm_add_test(kjsfunctionstest.cpp
        TEST_NAME "kjsfunctionstest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )
    
    ecm_add_test(formattest.cpp
        TEST_NAME "formattest"
        LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
    )
endif()

ecm_add_test(documenttest.cpp
    TEST_NAME "documenttest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore KF5::ThreadWeaver
)

ecm_add_test(searchtest.cpp
    TEST_NAME "searchtest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(annotationstest.cpp
    TEST_NAME "annotationstest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(urldetecttest.cpp
    TEST_NAME "urldetecttest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml KF5::CoreAddons
)

ecm_add_test(editannotationcontentstest.cpp testingutils.cpp
    TEST_NAME "editannotationcontentstest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(addremoveannotationtest.cpp testingutils.cpp
    TEST_NAME "addremoveannotationtest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(translateannotationtest.cpp testingutils.cpp
    TEST_NAME "translateannotationtest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test Qt5::Xml okularcore
)

ecm_add_test(modifyannotationpropertiestest.cpp testingutils.cpp
    TEST_NAME "modifyannotationpropertiestest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
)

ecm_add_test(editformstest.cpp
    TEST_NAME "editformstest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
)

ecm_add_test(calculatetexttest.cpp
    TEST_NAME "calculatetexttest"
    LINK_LIBRARIES Qt5::Widgets Qt5::Test okularcore
)

if(KF5Activities_FOUND AND BUILD_DESKTOP)
	ecm_add_test(mainshelltest.cpp ../shell/okular_main.cpp ../shell/shellutils.cpp ../shell/shell.cpp closedialoghelper.cpp
		TEST_NAME "mainshelltest"
		LINK_LIBRARIES Qt5::Test KF5::Activities okularpart okularcore
	)
	target_compile_definitions(mainshelltest PRIVATE OKULAR_BINARY="$<TARGET_FILE:okular>")
endif()

if(BUILD_DESKTOP)
    ecm_add_test(annotationtoolbartest.cpp ../shell/okular_main.cpp ../shell/shellutils.cpp ../shell/shell.cpp closedialoghelper.cpp
        TEST_NAME "annotationtoolbartest"
        LINK_LIBRARIES Qt5::Test okularpart
    )
endif()

ecm_add_test(generatorstest.cpp
    TEST_NAME "generatorstest"
    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
)
target_compile_definitions(generatorstest PRIVATE GENERATORS_BUILD_DIR="${CMAKE_BINARY_DIR}/generators")

ecm_add_test(signatureformtest.cpp
    TEST_NAME "signatureformtest"
    LINK_LIBRARIES Qt5::Test okularcore
)

find_package(Discount "2")

if(discount_FOUND)
    ecm_add_test(markdowntest.cpp ../generators/markdown/converter.cpp
        TEST_NAME "markdowntest"
        LINK_LIBRARIES Qt5::Test okularcore KF5::I18n discount::Lib
    )
endif()

=== generators/comicbook/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_comicbook")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

########### next target ###############

set( okularGenerator_comicbook_PART_SRCS
     document.cpp
     directory.cpp
     unrar.cpp qnatsort.cpp
     unrarflavours.cpp
   )

add_library(okular_comicbook STATIC ${okularGenerator_comicbook_PART_SRCS})
target_link_libraries(okular_comicbook okularcore KF5::KIOCore KF5::I18n KF5::Archive)

okular_add_generator(okularGenerator_comicbook generator_comicbook.cpp)
target_link_libraries(okularGenerator_comicbook okular_comicbook)
if (UNIX AND NOT ANDROID)
   find_package(KF5Pty REQUIRED)
   target_compile_definitions(okular_comicbook PRIVATE -DWITH_KPTY=1)
   target_link_libraries(okular_comicbook KF5::Pty)
endif ()

if (KArchive_HAVE_LZMA)
    target_compile_definitions(okular_comicbook PRIVATE -DWITH_K7ZIP=1)
endif()

########### autotests ###############

add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
ecm_add_test(autotests/comicbooktest.cpp
    TEST_NAME "comicbooktest"
    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore okular_comicbook
)

########### install files ###############
install( FILES okularComicbook.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_comicbook.desktop org.kde.mobile.okular_comicbook.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-comicbook.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/djvu/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_djvu")

include_directories(
   ${DJVULIBRE_INCLUDE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)


########### next target ###############

set(okularGenerator_djvu_SRCS
   generator_djvu.cpp
   kdjvu.cpp
)


okular_add_generator(okularGenerator_djvu ${okularGenerator_djvu_SRCS})

target_link_libraries(okularGenerator_djvu okularcore ${DJVULIBRE_LIBRARY} KF5::I18n)

########### install files ###############
install( FILES okularDjvu.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_djvu.desktop org.kde.mobile.okular_djvu.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-djvu.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/kimgio/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_kimgio")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${CMAKE_BINARY_DIR}
)


########### next target ###############

okular_add_generator(okularGenerator_kimgio generator_kimgio.cpp)
target_link_libraries(okularGenerator_kimgio okularcore KF5::KExiv2 KF5::I18n)

if(BUILD_TESTING)
    add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
    set( kimgiotest_SRCS tests/kimgiotest.cpp ${CMAKE_SOURCE_DIR}/part/pagepainter.cpp ${CMAKE_SOURCE_DIR}/part/guiutils.cpp ${CMAKE_SOURCE_DIR}/part/debug_ui.cpp )
    ecm_add_test(${kimgiotest_SRCS} TEST_NAME "kimgiotest" LINK_LIBRARIES okularcore okularpart Qt5::Svg Qt5::Test)
    target_compile_definitions(kimgiotest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_kimgio>")
endif()


########### install files ###############
install( FILES okularKimgio.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_kimgio.desktop org.kde.mobile.okular_kimgio.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-kimgio.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/tiff/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_tiff")

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
   ${TIFF_INCLUDE_DIR}
)


########### next target ###############

set(okularGenerator_tiff_SRCS
   generator_tiff.cpp
)

okular_add_generator(okularGenerator_tiff ${okularGenerator_tiff_SRCS})
target_link_libraries(okularGenerator_tiff okularcore ${TIFF_LIBRARIES} KF5::I18n)

########### install files ###############
install( FILES okularTiff.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_tiff.desktop org.kde.mobile.okular_tiff.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-tiff.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== mobile/app/CMakeLists.txt ===
set(CMAKE_AUTORCC ON)
add_executable(okularkirigami main.cpp app.qrc)
target_link_libraries(okularkirigami Qt5::Widgets Qt5::Qml KF5::I18n)
if (ANDROID)
    find_package(Qt5 COMPONENTS AndroidExtras)
    target_sources(okularkirigami PRIVATE android.cpp)
    target_link_libraries(okularkirigami Qt5::AndroidExtras)
endif()

install(TARGETS okularkirigami ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES package/metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME org.kde.okular.kirigami.desktop)
install( FILES org.kde.okular.kirigami.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR} )

=== mobile/components/CMakeLists.txt ===
project(okular)

add_definitions(${QT_DEFINITIONS})
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}

   ${QIMAGEBLITZ_INCLUDES}
)

set(okular_SRCS
    okularplugin.cpp
    ${CMAKE_SOURCE_DIR}/part/guiutils.cpp
    ${CMAKE_SOURCE_DIR}/part/tocmodel.cpp
    ${CMAKE_SOURCE_DIR}/part/pagepainter.cpp
    ${CMAKE_SOURCE_DIR}/part/debug_ui.cpp
    pageitem.cpp
    documentitem.cpp
    thumbnailitem.cpp
    okularsingleton.cpp
    )

kconfig_add_kcfg_files(okular_SRCS GENERATE_MOC ${CMAKE_SOURCE_DIR}/conf/settings_mobile.kcfgc)

add_library(okularplugin SHARED ${okular_SRCS})
set_target_properties(okularplugin PROPERTIES COMPILE_DEFINITIONS "okularpart_EXPORTS")
target_link_libraries(okularplugin
        Qt5::Quick
        Qt5::Qml
        Qt5::Core
        Qt5::Xml
        Qt5::Svg
        KF5::Bookmarks
        KF5::IconThemes
        KF5::I18n
        KF5::Service
        okularcore
        )

if(ANDROID)
    target_link_libraries(okularplugin Qt5::AndroidExtras)
endif()

install(TARGETS okularplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular)
install(FILES DocumentView.qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular)
install(FILES private/PageView.qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/okular/private)

#add_subdirectory(test)

=== generators/chm/kio-msits/CMakeLists.txt ===
include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../../..
   ${CMAKE_CURRENT_SOURCE_DIR}/../lib
   ${CHM_INCLUDE_DIR}
)


########### next target ###############

set(kio_msits_PART_SRCS msits.cpp kio_mits_debug.cpp)


add_library(kio_msits MODULE ${kio_msits_PART_SRCS})

target_link_libraries(kio_msits  KF5::KIOCore Qt5::Core ${CHM_LIBRARY} Qt5::Network)

install(TARGETS kio_msits DESTINATION ${KDE_INSTALL_PLUGINDIR} )


########### install files ###############

install( FILES ms-its.protocol DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== debian/changelog ===
okular (4:20.12.3-2) unstable; urgency=medium

  [ Norbert Preining ]
  * Cherry-pick upstream fix for fictionbook loading error.

 -- Norbert Preining <norbert@preining.info>  Thu, 15 Jul 2021 07:52:00 +0900

okular (4:20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Mar 2021 22:53:11 +0100

okular (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Refer to common license file for CC0-1.0.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 15:08:29 +0100

okular (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * Refresh upstream information.
  * Clarify in the package description that OpenDocument formats are not
    supported by Okular itself. Mention Calligra packages for OpenDocument
    formats support.
  * New upstream release (20.12.1) (Closes: #979507).
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Add missing QML runtime dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Jan 2021 21:43:05 +0100

okular (4:20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Antonio Russo ]
  * New upstream release: (Closes: #977119)
    - Fixes back and forward navigation (Closes: #975919)
  * Upstream removed the OpenOffice.org plugin. (Use calligra plugin instead.)
  * Bump dependencies.
  * Update debian/copyright.
  * Bump Standards-Version to 4.5.1, no changes required.

  [ Aurélien COUDERC ]
  * Use minimum versions for all Qt and KF5 dependencies.
  * Build with hardening=+all build hardening flag.
  * Update project homepage.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Dec 2020 09:04:22 +0100

okular (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Drop the MIME entries for okular and okular-extra-backends, as mime-support
    generates them from desktop files.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Nov 2020 13:41:37 +0100

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               libchm-dev,
               libdjvulibre-dev (>= 3.5.17~),
               libepub-dev,
               libfreetype-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.68.0~),
               libkf5archive-dev (>= 5.68.0~),
               libkf5bookmarks-dev (>= 5.68.0~),
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5kexiv2-dev (>= 5.68.0~),
               libkf5khtml-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5kjs-dev (>= 5.68.0~),
               libkf5parts-dev (>= 5.68.0~),
               libkf5pty-dev (>= 5.68.0~),
               libkf5purpose-dev (>= 5.68.0~),
               libkf5threadweaver-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libmarkdown2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev (>= 0.86.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqmobipocket-dev (>= 4:17.08~),
               libqt5texttospeech5-dev (>= 5.12.0~),
               libqt5svg5-dev (>= 5.12.0~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libzip-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               zlib1g-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/okular
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular

Package: libokular5core9
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: kinit,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: cups-bsd
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.0),
        okular-mobile (<< 4:17.04.1-0),
Replaces: okular-extra-backends (<< 4:16.12.0),
          okular-mobile (<< 4:17.04.1-0),
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 Additional document formats are in the okular-extra-backends package.
 .
 The Calligra suite provides Okular plugins for OpenDocument formats that can
 be found in the okular-backend-odt and okular-backend-odp packages.
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.68.0~),
         libkf5coreaddons-dev (>= 5.68.0~),
         libkf5xmlgui-dev (>= 5.68.0~),
         libokular5core9 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:16.12.0)
Replaces: okular (<< 4:16.12.0)
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * DeJaVu Format
  * TIFF Image Format
  * Microsoft CHM Format
  * EPUB
  * Markdown
 .
 This package is part of the KDE graphics module.

Package: qml-module-org-kde-okular
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.68.0~),
         qml-module-qtgraphicaleffects (>= 5.12.0~),
         qml-module-qtquick-controls2 (>= 5.12.0~),
         qml-module-qtquick2 (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: okular (<< 4:17.12.2~),
Replaces: okular (<< 4:17.12.2~),
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.68.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.68.0~),
         qml-module-org-kde-okular (= ${binary:Version}),
         qml-module-qtgraphicaleffects (>= 5.12.0~),
         qml-module-qtquick-controls2 (>= 5.12.0~),
         qml-module-qtquick-dialogs (>= 5.12.0~),
         qml-module-qtquick-layouts (>= 5.12.0~),
         qml-module-qtquick2 (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_strip:
	dh_strip --dbgsym-migration='okular-dbg (<= 16.08.90-1~~)'

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol
